interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.5.1 b'Linux-4.6.3-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 63580 characters]
        /c7//d//B57zyu5O9QMA
    headers:
      CF-RAY: [2c594e036c6337e6-ATL]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['42651']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 20 Jul 2016 20:53:49 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=dab88da390e749f7935bf7303d87f2fdf1469048028; expires=Thu,
          20-Jul-17 20:53:48 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=5OeLCQydMjQyQ0YVYe;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 20:53:49
          GMT; secure', 'loidcreated=2016-07-20T20%3A53%3A49.015Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 20:53:49 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=dab88da390e749f7935bf7303d87f2fdf1469048028; expires=Thu,
          20-Jul-17 20:53:48 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=5OeLCQydMjQyQ0YVYe;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 20:53:49
          GMT; secure', 'loidcreated=2016-07-20T20%3A53%3A49.015Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 20:53:49 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=%2BViJnWxM2gqGTERsAax6bIJ2gu9wDFsNr0CTppDanJNKrVwxpispu9lW0BwMa9KJs4K8vgz8m9U%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=dab88da390e749f7935bf7303d87f2fdf1469048028; loidcreated=2016-07-20T20%3A53%3A49.015Z;
          loid=5OeLCQydMjQyQ0YVYe]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.5.1 b'Linux-4.6.3-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://api.reddit.com/r/aww/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 80325 characters]
        Mcf3qICpz60cZ2dfO/+8uONb/t//+//b7/x9uLYEAA==
    headers:
      CF-RAY: [2c594e0ede2337e6-ATL]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['53896']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 20 Jul 2016 20:53:51 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=FhKb%2Bhcd0sJ2KOOdWdG4MdG7MaKeo21d%2B98lwe3W2RDBVXefAbJxXhQhiLGmwZ06BYERm%2BaLWu8%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=dab88da390e749f7935bf7303d87f2fdf1469048028; loidcreated=2016-07-20T20%3A53%3A49.015Z;
          loid=5OeLCQydMjQyQ0YVYe]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.5.1 b'Linux-4.6.3-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://api.reddit.com/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 108800 characters]
        wj/Y9ostYi9tlvJI7KY//vgfMVBYkqOOBQA=
    headers:
      CF-RAY: [2c594e1b5fa237e6-ATL]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['72986']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 20 Jul 2016 20:53:53 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=mz83WCbw3rwaBnUA3v9A798rKoJl6KJX0f1%2FeekhbN0Z009WBTsCs3EFjppEMDxssjiBpaMOcCvRlqCCrZpHYJLABnsDcNkr']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
